package com.kingdee.eas.custom.integration.feishu.exception;

import com.kingdee.eas.custom.integration.base.exception.CommonErrorCodes;
import com.kingdee.eas.custom.integration.base.exception.DefaultErrorCode;
import com.kingdee.eas.custom.integration.base.exception.ErrorCode;

/**
 * 飞书错误码
 */
public class FeishuErrorCodes extends CommonErrorCodes {

    public static final ErrorCode SSO_FAILED =
            new DefaultErrorCode("FS01001", "飞书SSO认证失败，请联系管理员处理 。");

    public static final ErrorCode TOKEN_EXPIRED =
            new DefaultErrorCode("FS01002", "飞书Token已过期");

    public static final ErrorCode APP_PERMISSION_ABSENCE =
            new DefaultErrorCode("FS01003", "飞书应用权限缺失");

    public static final ErrorCode EMPLOYEE_NUMBER_EMPTY =
            new DefaultErrorCode("FS01004", "飞书用户工号为空，请联系管理员处理 。");

    public static final ErrorCode FEISHU_CONFIG_NOT_EXIST =
            new DefaultErrorCode("FS01005", "飞书配置不存在，请联系管理员处理 。");

    public static final ErrorCode FEISHU_CONFIG_DUPLICATE =
            new DefaultErrorCode("FS01006", "飞书配置重复，请联系管理员处理 。");

    public static final ErrorCode FEISHU_CONFIG_DISABLED =
            new DefaultErrorCode("FS01007", "飞书配置未启用，请联系管理员处理 。");

    public static final ErrorCode FEISHU_CONFIG_ERROR =
            new DefaultErrorCode("FS01008", "飞书配置错误，请联系管理员处理 。");

    public static final ErrorCode FEISHU_APPID_EMPTY =
            new DefaultErrorCode("FS01009", "飞书应用id为空，请联系管理员处理 。");

    public static final ErrorCode CODE_EXPIRED =
            new DefaultErrorCode("FS01010", "认证码已过期");

    public static final ErrorCode FEISH_CALLBACK_URL_EMPTY =
            new DefaultErrorCode("FS01011", "飞书回调地址为空，请联系管理员处理 。");
    public static final ErrorCode BUILD_AUTH_URL_FAILED =
            new DefaultErrorCode("FS01012", "构建飞书授权URL失败");

    public static final ErrorCode GET_FEISHU_CONFIG_FAILED =
            new DefaultErrorCode("FS01013", "获取飞书配置失败");

    public static final ErrorCode GET_USER_INFO_FAILED =
            new DefaultErrorCode("FS01014", "获取飞书用户信息失败");


}